jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.style-accessories-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'style_accessories_dismiss_notice'
        });
    });
});